/*  Proj3.h header file for Proj3.cpp by Sajeev Sivanesan (Moonlander game).
    Programming assignment for CSC125 at Parkland College
*/



#include<iostream.h>
#include<iomanip.h>
#include<conio.h>
#include<stdio.h>
class Pulse{
public:
	Pulse();
	void Ask();
	char GetFire();



protected:
	char fire[1];
};


class MainEngine{
public:
	MainEngine();
	void SetEngine();
	int GetEngine();
	void setPtr(Pulse*);
	void SetStall(int);
   
protected:
	int engine;
   int stall;
	Pulse* pPulse;
};


class FuelTank{
public:
	FuelTank();
	FuelTank(int);
	void ComputeFuel();
	void SetFuel(int);
	int GetFuel();
	void setPtr(MainEngine*);
protected:
	int fuel;
	MainEngine* pMotor;
};


class Rate{
public:
	Rate();
	Rate(int);
	void ComputeRate();
	void SetRate(int);
	int GetRate();
	void setPtr(MainEngine*);
protected:
	int velocity;
	MainEngine* pEngine;
};


class Altimeter{
public:
	Altimeter();
	Altimeter(int);
	void ComputeHeight();
	void SetHeight(int);
	int GetHeight();
	void setPtr(Rate*);
protected:
	int height;
	Rate* pRate;
};


class Crash{
public:
	Crash();
	void setPtrA(Rate*);
	void setPtrB(Altimeter*);
   int Accident();
   int GetSmash();

protected:
	Rate* pVertical;
	Altimeter* pHeight;
	
   int smash;
};


class Display{
public:
	Display();
	void setPtr1(MainEngine*);
	void setPtr2(Rate*);
	void setPtr3(FuelTank*);
	void setPtr4(Altimeter*);
   void setPtr5(Crash*);
   void print();
protected:
	MainEngine* pRocket;
	Rate* pVert;
	FuelTank* pTank;
	Altimeter* pAltim;
   Crash* pCrash;
};                    


class Moonlander{
public:
	Moonlander();
	void run();

protected:
	Pulse one;
	MainEngine two;
	Rate three;
	Altimeter four;
	FuelTank five;
	Display six;
	Crash seven;
};
