/* Proj3.cpp (MoonLander game) by Sajeev Sivanesan.  Programming assignment for
   CSC125 C++ programming at Parkland College.
*/



 #include"proj3.h"


Pulse::Pulse(){}

void Pulse::Ask(){

cout << "Press 'P' and enter to fire pulse, just Enter for no pulse: " << endl;//user inpull();

fire[0] = getchar();//obtians user input
flushall();//flushes buffers
}


char Pulse::GetFire(){
return fire[0];
}
MainEngine::MainEngine(){
engine= 0;//intialize
stall = 0;//intialize
}


void MainEngine::SetEngine(){
char temp[1];//temporary array
temp[0] = pPulse->GetFire();//gets user input from pulse

if ((temp[0]=='p')||(temp[0]=='P'))//true if user entered p
	engine = 1;//var. used by other functions to determine if engine fired
else
	engine = 0;//user did not enter p
if(stall== 1)//checks stall var. set by fuel class
	engine = 0;//if stall =1 (fuel empty),then the function ignores the pulse
}


int MainEngine::GetEngine(){
return engine;
}
void MainEngine::setPtr(Pulse* ptrTemp){
pPulse = ptrTemp;//sets pointer relationship with object of a class
}
void MainEngine::SetStall(int temp){
stall = temp;//sets the stall var., used by the fuel class
}


Rate::Rate(){
velocity = 0;//intialization
}


void Rate::ComputeRate(){
int temp;
temp = pEngine->GetEngine();//retrieves value of engine of MainEngine
if (temp==1){//computes velocity if engine was fired
	velocity -= 3; //subtracts 3 from velocity (gravity)
	velocity += 5; //adds 5 to velocity (thrust from engine)
}
else
	velocity -= 3;//computes velocity if engine was not fired, 3 is subtracted (gravity)
}


void Rate::SetRate(int temp){
velocity = temp;//sets velocity var.
}
int Rate::GetRate(){
return velocity;//returns velocity
}


void Rate::setPtr(MainEngine* ptrTemp){
pEngine = ptrTemp;//sets pointer relationship with object of a class
}
Altimeter::Altimeter(){
height = 0;//intialization
}


void Altimeter::ComputeHeight(){
int temp;
temp = pRate->GetRate();//gets velocity for height computation
height += temp;//computes height
}


void Altimeter::SetHeight(int temp){
height = temp;//sets height
}


int Altimeter::GetHeight(){
return height;//returns height to function 
}


void Altimeter::setPtr(Rate* ptrTemp){
pRate = ptrTemp;//sets pointer relationship with object of a class
}
FuelTank::FuelTank(){
fuel = 0;//intialization
}


void FuelTank::ComputeFuel(){
int temp;
temp = pMotor->GetEngine();//retrieves data if engine was fired
if (temp==1)
	fuel -= 14;//computes fuel level
if (fuel < 1){
	pMotor->SetStall(1);//sets stall var. of main engine (fuel empty)
	fuel = 0;//var. set to zero for display purposes
}
}


void FuelTank::SetFuel(int temp){
fuel = temp; //sets fuel var.
}


int FuelTank::GetFuel(){
return fuel;
}


void FuelTank::setPtr(MainEngine* tempPtr){
pMotor = tempPtr;//sets pointer relationship with object of a class
}


Display::Display(){
}


void Display::setPtr1(MainEngine* tempPtr){
pRocket = tempPtr;//sets pointer relationship with object of a class
}


void Display::setPtr2(Rate* tempPtr){
pVert = tempPtr; //sets pointer relationship with object of a class
}


void Display::setPtr3(FuelTank* tempPtr){
pTank = tempPtr;//sets pointer relationship with object of a class
}


void Display::setPtr4(Altimeter* tempPtr){
pAltim = tempPtr;//sets pointer relationship with object of a class
}


void Display::setPtr5(Crash* tempPtr){
pCrash = tempPtr;//sets pointer relationship with object of a class
}


void Display::print(){
int temp, lander;
temp = 0;
lander = 0;
lander = pCrash->GetSmash();//retrieves data from class smash
// tells function if lander has crashed or landed
temp = pRocket->GetEngine();//retrieves data from class MainEngine
// tells function if engine was fired
if (temp==1)//engine was fired
	{
		cout<<"Main Engine fired pulse."<<endl;
	}
cout<<endl;
cout<<"Height:"<<setw(3)<<pAltim->GetHeight()
	 <<" Vertical Velocity:"<<setw(3)<<pVert->GetRate()
	 <<" Fuel:"<<setw(3)<<pTank->GetFuel()<<endl<<endl;
if (lander==1){//Moonlander has landed
cout<<endl<<endl<<"Nice Landing!"<<endl;
return;
}
if (lander==2){//Moonlander has crashed
cout<<endl<<endl<<"CRASH!!"<<endl;
return;
}
}


Crash::Crash(){
smash = 0;
}


void Crash::setPtrA(Rate* tempPtr){
pVertical = tempPtr;//sets pointer relationship with object of a class
}


void Crash::setPtrB(Altimeter* tempPtr){
pHeight = tempPtr;//sets pointer relationship with object of a class
}


Crash::Accident(){
int a, b;
a = pVertical->GetRate();
b = pHeight->GetHeight();
smash = 0;//allows program to loop (moonlander has not crashed or landed)
if ((b <= 0) && (a >= -2))//determines if moonlander has landed
	smash = 1;//nice landing
if ((b <=0) && (a < -2))//determines if moonlander has crashed
	smash = 2;//lander crashes
return smash;
}


int Crash::GetSmash(){
return smash;
}


Moonlander::Moonlander(){
two.setPtr(&one);
three.setPtr(&two);
four.setPtr(&three);
five.setPtr(&two);
three.SetRate(4);
four.SetHeight(50);
five.SetFuel(100);
six.setPtr1(&two);
six.setPtr2(&three);
six.setPtr3(&five);
six.setPtr4(&four);
six.setPtr5(&seven);
seven.setPtrA(&three);
seven.setPtrB(&four);
}


void Moonlander::run(){
int a = 0;//control for loop
//clrscr();
six.print();//first output of intial status
while (a==0)
{
one.Ask();
two.SetEngine();
three.ComputeRate();
four.ComputeHeight();
five.ComputeFuel();
a = seven.Accident();
six.print();
}
}


void main(){
Moonlander lunar;//object of class Moonlander
lunar.run();
}
